Supplier
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/suppliers/{supplierId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/suppliers/{supplierId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/suppliers/{supplierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 42,
"status": 1,
"name": "Acme Manufacturing",
"created_at": "2026-04-20T14:30:00Z",
"updated_at": "2026-04-20T14:30:00Z",
"created_by": 100,
"updated_by": 100,
"description": "Primary overseas supplier for apparel",
"street_address": "123 Industrial Way",
"city": "Shenzhen",
"state": "Guangdong",
"zip": "518000",
"country": "China",
"factory_admin_id": 100,
"supplier_admin_id": 100,
"contact_name": "Jane Doe",
"contact_email": "jane@acme.example",
"contact_phone": "+86 755 1234 5678",
"bank_name": "Bank of China",
"routing_number": "021000021",
"account_number": "1234567890",
"swift_code": "BKCHCNBJ",
"default_payment_term": "Net 30",
"default_currency_code": "USD",
"contacts": [
{
"id": 501,
"name": "Jane Doe",
"email": "jane@acme.example",
"phone": "+86 755 1234 5678"
}
]
}
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"error": "Not Found",
"message": "The requested resource could not be found",
"status_code": 404
}Suppliers
Supplier
Get detailed information for a specific supplier.
GET
/
suppliers
/
{supplierId}
Supplier
⌘I